| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IDataStorageObject Struct Referenceabstract
SDK core interfaces

Data storage object interface helper. More...

`#include <IObject.h>`

Inheritance diagram for fsdk::IDataStorageObject:

## Public Member Functions
virtual void | clear () noexcept=0
| Clear object data. More...
virtual IRefCounted * | getParentObject () const noexcept=0
| Get parent object (one that has created this). More...
Public Member Functions inherited from fsdk::ISerializableObject
virtual void | getSize (Sizer &sizer, uint32_t flags=Default) const noexcept=0
| Estimate size of this object binary data. More...
virtual Result< Error > | load (IArchive *archive, uint32_t flags=Default)=0
| Load object from archive. More...
virtual Result< Error > | save (IArchive *archive, uint32_t flags=Default) const =0
| Save object to archive. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Additional Inherited Members
Public Types inherited from fsdk::ISerializableObject
enum | Error : uint32_t { Error::Ok, Error::Size, Error::Signature, Error::ArchiveRead, Error::InputArchive, Error::ArchiveWrite }
| Serialization nerror codes. More...
enum | Flags { Default = 0, NoSignature = 1 }
| Serialization flags. More...

## Detailed Description

Data storage object interface helper.

## Member Function Documentation

virtual void fsdk::IDataStorageObject::clear | ( |  | ) |
| pure virtual noexcept

Clear object data.

Note
  This does not necessarily mean deallocation; it is defined by implementation how to manage data memory.

virtual IRefCounted* fsdk::IDataStorageObject::getParentObject | ( |  | ) | const
| pure virtual noexcept

Get parent object (one that has created this).

Note
  Any returned interfaces will have their reference count incremented by one, so be sure to call release() on the returned pointer(s) before they are freed or else you will have a memory leak.

Returns
  pointer to the parent object.

The documentation for this struct was generated from the following file:

- include/fsdk/IObject.h